Name:           tvbrowser
Version:        4.2.7
Release:        %mkrel 1
Summary:        A digital TV guide
License:        GPL-3.0-or-later
Group:          Video/Television
Url:            https://www.tvbrowser.org/
Source0:        https://downloads.sourceforge.net/project/tvbrowser/TV-Browser%20Releases%20%28Java%2011%20and%20higher%29/%{version}/%{name}_%{version}_src.zip
Source1:        https://www.tvbrowser.org/data/uploads/1372016422809_543/NewsPlugin.jar
Patch0:         fix-junit-classpath.patch
BuildArch:      noarch
BuildRequires:  ant
BuildRequires:  dos2unix
BuildRequires:  imagemagick
BuildRequires:  java-devel >= 11
Requires:       java >= 11

%description
TV-Browser is a digital TV guide.
TV-Browser gets the daily TV program from the internet and shows it clearly
arranged - like a printed TV guide. An internet connection is only necessary
during the data update.

%prep
%setup -q

cp %{S:1} .

# needed to apply patch
dos2unix build.xml
%patch -P 0 -p1

%build
%ant runtime-linux -Dnewsplugin.url=file:///%{_builddir}/%{name}-%{version}/NewsPlugin.jar

%install
# copy the runtime directory to %%{_javadir}
mkdir -p %{buildroot}%{_javadir}/%{name}
cp -a runtime/tvbrowser_linux/* %{buildroot}%{_javadir}/%{name}
chmod 0755 %{buildroot}%{_javadir}/%{name}/tvbrowser.sh

# create the application launcher
mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh
cd %{_javadir}/%{name}
exec ./tvbrowser.sh -Dswing.aatext=TRUE -Dawt.useSystemAAFontSettings=on "$@"
EOF
chmod +x %{buildroot}%{_bindir}/%{name}

# install the menu icons
pushd runtime/tvbrowser_linux/imgs
for size in 16 32 48 128; do
  install -D -m644 tvbrowser${size}.png %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done
popd

# create the desktop entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=TV Browser
Comment=A java-based TV guide
Comment[de]=Eine Java basierende TV Zeitung
Comment[fr]=Application de programme TV en Java
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=AudioVideo;Video;TV;
EOF

# install appdata
install -D -m 0644 -t %{buildroot}%{_metainfodir}/ deployment/linux/tvbrowser.appdata.xml

%files
%doc ChangeLog.txt
%doc txt/COPYRIGHT.txt
%{_bindir}/%{name}
%{_javadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_metainfodir}/tvbrowser.appdata.xml


%changelog
* Wed Jul 24 2024 daviddavid <daviddavid> 4.2.7-1.mga10
+ Revision: 2082406
- new version: 4.2.7
- fix startup script using upstream one's
- move jar files into "/usr/share/java/tvbrowser"

* Thu Mar 31 2022 umeabot <umeabot> 4.2.1-2.mga9
+ Revision: 1836815
- Mageia 9 Mass Rebuild

* Mon Sep 07 2020 daviddavid <daviddavid> 4.2.1-1.mga8
+ Revision: 1623076
- new version: 4.2.1
- switch to JDK-11

* Wed Feb 12 2020 umeabot <umeabot> 4-3.mga8
+ Revision: 1508219
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 4-2.mga7
+ Revision: 1291959
- Mageia 7 Mass Rebuild

* Thu Oct 05 2017 daviddavid <daviddavid> 4-1.mga7
+ Revision: 1168936
- new version: 4
- do not download plugin 'NewsPlugin.jar' during build

* Tue Feb 09 2016 umeabot <umeabot> 3.4-5.mga6
+ Revision: 951899
- Mageia 6 Mass Rebuild

* Sat Jan 10 2015 akien <akien> 3.4-4.mga5
+ Revision: 809677
- Add missing execution permission in /usr/bin/tvbrowser (mga#14260)

* Wed Oct 15 2014 umeabot <umeabot> 3.4-3.mga5
+ Revision: 747761
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.4-2.mga5
+ Revision: 689992
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 akien <akien> 3.4-1.mga5
+ Revision: 667096
- Version 3.4

* Tue Aug 05 2014 luigiwalser <luigiwalser> 3.3.1-5.mga5
+ Revision: 659863
- switch to java-1.8.0-openjdk

* Sat Oct 19 2013 umeabot <umeabot> 3.3.1-4.mga4
+ Revision: 533049
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 obgr_seneca <obgr_seneca> 3.3.1-3.mga4
+ Revision: 470932
- New version 3.3.1

* Wed Jan 23 2013 barjac <barjac> 3.2-3.mga3
+ Revision: 391629
- update group

* Mon Jan 14 2013 umeabot <umeabot> 3.2-2.mga3
+ Revision: 384904
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 obgr_seneca <obgr_seneca> 3.2-1.mga3
+ Revision: 300062
- Adapted to new rpm group policy
- new version 3.2

* Mon Jun 25 2012 obgr_seneca <obgr_seneca> 3.1-1.mga3
+ Revision: 263524
- Added missing BR for java-sdk
- imported package tvbrowser

